GetDelegatedResourceV2

In Stake2.0, query the detail of resource share delegated from fromAddress to toAddress

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns
delegatedResource - List<DelegatedResource>: Resource delegation list, each resource delegation information includes below fields:

FieldTypeDescription
fromstringDelegate account address.
tostringResource recipient address.
frozen_balance_for_bandwidthint64Amount of TRX staked for Bandwidth delegated from the from address to the to address. (Unit: sun)
frozen_balance_for_energyint64Amount of TRX staked for energy delegated from the from address to the to address. (Unit: sun)
expire_time_for_bandwidthint64Timestamp when the Bandwidth delegation lock expires. (Unit: millisecond)
expire_time_for_energyint64Timestamp when the energy delegation lock expires. (Unit: millisecond)

Note that if the field value is 0 or null, the field will not be displayed in the returned result. For delegation deadlines, expire_time_for_bandwidth or expire_time_for_energy will be 0 if no lock is specified when delegating resources, and does not been displayed.

Body Params
string
required

Delegate account address, in Base58Check format or HEX format.

string
required

Resource recipient address, in Base58Check format or HEX format.

boolean
Defaults to false

Optional. Set to true to format addresses in Base58Check; set to false for hex format. (Default: false)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json